## mini-rc 0.1.7

=== Makefile ===
#Copyright(C) 2006 Nokia Corporation.

all:


install: install-dirs
	install -m 644 inittab $(DESTDIR)/etc
	install -m 755 rcS $(DESTDIR)/etc/init.d
	install -m 755 rc $(DESTDIR)/etc/init.d
	install -m 755 minireboot $(DESTDIR)/etc/init.d
	install -m 755 minishutdown $(DESTDIR)/etc/init.d
	install -m 755 update-rc.d $(DESTDIR)/usr/sbin
	install -m 755 invoke-rc.d $(DESTDIR)/usr/sbin

install-dirs:
	install -d -m 755 $(DESTDIR)/etc $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/etc/rc{0,1,2,3,4,5,6,S}.d  $(DESTDIR)/etc/init.d

clean:

=== debian/changelog ===
mini-rc (0.1.7) unstable; urgency=low

  * Reduce the shutdown time slightly. Patch from Riku
    Fixes: NB#47898 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Nov 2006 13:44:31 +0200

mini-rc (0.1.6) unstable; urgency=low

  * Clear /var/tmp/ instead of /var/run. Fixes: NB#47645

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 19:42:14 +0200

mini-rc (0.1.5) unstable; urgency=low

  * Put copyright too. Fixes: NB#41667

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 18 Oct 2006 16:02:54 +0300

mini-rc (0.1.4) unstable; urgency=low

  * Put copyright notice to our files. Fixes: NB#41667

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Oct 2006 11:16:23 +0300

mini-rc (0.1.3) unstable; urgency=low

  * Removed essential dependences to break a loop

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 10 Aug 2006 16:01:15 +0300

mini-rc (0.1.2) unstable; urgency=low

  * Added files from etc to conffiles. Fixes: NB#37403

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 10 Aug 2006 12:59:20 +0300

mini-rc (0.1.1) unstable; urgency=low

  * Renamed
  * Added virtual package boot-mechanism
  * Updated description

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  3 Aug 2006 12:02:50 +0300

maemo-rc (0.1.0) unstable; urgency=low

  * Initial release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  2 Aug 2006 17:30:56 +0300

=== debian/control ===
Source: mini-rc
Section: devel
Priority: optional
Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Standards-Version: 3.6.1

Package: mini-rc
Architecture: all
Provides: initscripts, boot-mechanism
Replaces: initscripts, boot-mechanism
Conflicts: initscripts, boot-mechanism, sysv-rc, file-rc, udev (<< 0.084)
Description: Boot mechanism for small systems
 Using subset of sysv-rc to set up the system
 It is used for Nokia 770 device

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello.
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

DEBIAN_DIR = debian

package = mini-rc
docdir := $(DEBIAN_DIR)/tmp/usr/share/doc/$(package)

build:
	touch build

clean:
	$(checkdir)
	rm -f build
	rm -rf *~ $(DEBIAN_DIR)/tmp debian/*~ $(DEBIAN_DIR)/files* $(DEBIAN_DIR)/substvars

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	checkroot build
	$(checkdir)
	rm -rf $(DEBIAN_DIR)/tmp
	install -d $(DEBIAN_DIR)/tmp/DEBIAN $(docdir)

	make install DESTDIR=$(DEBIAN_DIR)/tmp

#	install -m 755 debian/postinst debian/tmp/DEBIAN
	cp -a debian/copyright $(docdir)
#	cp -a debian/changelog $(docdir)/changelog.Debian
	install -m 644 $(DEBIAN_DIR)/conffiles  $(DEBIAN_DIR)/tmp/DEBIAN
	dpkg-gencontrol -isp
	chown -R root:root debian/tmp
	chmod -R u+w,go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test $$(id -u) = 0

.PHONY: binary binary-arch binary-indep clean checkroot

## mini-rc 0.1.9

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	install -m 755 minishutdown $(DESTDIR)/etc/init.d
 	install -m 755 update-rc.d $(DESTDIR)/usr/sbin
 	install -m 755 invoke-rc.d $(DESTDIR)/usr/sbin
+	install -m 755 policy-rc.d $(DESTDIR)/usr/sbin
 
 install-dirs:
 	install -d -m 755 $(DESTDIR)/etc $(DESTDIR)/usr/sbin

=== debian/changelog ===
mini-rc (0.1.9) unstable; urgency=low

  * Use -n for mounts in rcS 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 26 Feb 2007 13:20:08 +0200

mini-rc (0.1.8) unstable; urgency=low

  * policy-rc.d added. Fixed: NB#49416 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 14 Dec 2006 15:45:07 +0200

## mini-rc 0.2.1

=== debian/changelog ===
mini-rc (0.2.1) unstable; urgency=low

  * Disable ttyS0 by default

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 12 Apr 2007 16:09:03 +0300

mini-rc (0.2.0) unstable; urgency=low

  * Added ttyS1 to inittab

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 12 Apr 2007 15:30:01 +0300

## mini-rc 0.2.10

=== debian/changelog ===
mini-rc (0.2.10) unstable; urgency=low

  * chmod 644 /etc/hosts. Fixes: NB#72388

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 15 Oct 2007 16:12:18 +0300

mini-rc (0.2.9) unstable; urgency=low

  * Removed $TGT, rudiment of osso-core-config

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 18:34:25 +0300

mini-rc (0.2.8) unstable; urgency=low

  * rcS: fixed sed expression

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 17:58:37 +0300

mini-rc (0.2.7) unstable; urgency=low

  * Generate issue{.net} too

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 17:47:41 +0300

mini-rc (0.2.6) unstable; urgency=low

  * Depends of osso-product-info (>= 0.2.1)
  * Create hostname on the first boot. Fixes: NB#70634

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 27 Sep 2007 17:28:37 +0300

mini-rc (0.2.5) unstable; urgency=low

  * Mount /dev/shm to tmpfs. Fixes: NB#69369

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 13 Sep 2007 13:27:20 +0300

mini-rc (0.2.4) unstable; urgency=low

  * rcS: chmod device node only if we created it. Fixes: NB#64319 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 20 Aug 2007 14:51:46 +0300

mini-rc (0.2.3) unstable; urgency=low

  * Create symlink /etc/mtab -> /proc/mounts if needed. Fixes: NB#61322 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 26 Jul 2007 20:05:00 +0300

mini-rc (0.2.2) unstable; urgency=low

  * Ephemeral ports 49152 65535. Fixes: NB#63332 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 24 Jul 2007 13:14:01 +0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 Package: mini-rc
 Architecture: all
+Depends: osso-product-info (>= 0.2.1)
 Provides: initscripts, boot-mechanism
 Replaces: initscripts, boot-mechanism
 Conflicts: initscripts, boot-mechanism, sysv-rc, file-rc, udev (<< 0.084)

## mini-rc 0.2.11

=== debian/changelog ===
mini-rc (0.2.11) unstable; urgency=low

  * Set /sys/class/bluetooth/hci0/idle_timeout
    Fixes: NB#76480

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 21 Jan 2008 16:34:48 +0200

## mini-rc 0.2.63+0m5

=== debian/changelog ===
mini-rc (0.2.63+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Tue, 15 Sep 2009 14:01:33 +0300

mini-rc (0.2.63) unstable; urgency=low

  * Set obscure core pattern for early startup. Fixes: NB#138586

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 14 Sep 2009 13:18:41 +0300

mini-rc (0.2.61) unstable; urgency=low

  * Disable sysrq to avoid accidental resets caused by console carbage. 
    Fixes: NB#136183

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 31 Aug 2009 14:49:51 +0300

mini-rc (0.2.60) unstable; urgency=low

  * Add swapoff. 
  * PRNG seeding moved to upstart script 
  * Raised swappiness.
  * Raised threads-max. Fixes: NB#133894

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Fri, 14 Aug 2009 11:55:07 +0300

mini-rc (0.2.59) unstable; urgency=low

  * Softupd bits moved to separate rcS script. Fixes: NB#121744

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Wed, 12 Aug 2009 15:13:51 +0300

mini-rc (0.2.58) unstable; urgency=low

  * Re-enable HW RNG seeding. Fixes: NB#121051

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Thu, 30 Jul 2009 08:36:56 +0300

mini-rc (0.2.57) unstable; urgency=low

  * Reverted HW RNG seeding due to PM breakage.

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Fri, 03 Jul 2009 12:58:37 +0300

mini-rc (0.2.56) unstable; urgency=low

  * Call ham-rescue instead of apt-worker. Fixes: NB#126100

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Fri, 03 Jul 2009 08:40:20 +0300

mini-rc (0.2.55) unstable; urgency=low

  * Merge duplicate scripts 
  * Add basic unmounts. Fixes: NB#112407
  * MMC mounting now happens from separate script and right after dsme startup,
    Fixes: NB#123870
  * Switch maintainer

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Tue, 30 Jun 2009 10:23:00 +0300 

mini-rc (0.2.54) unstable; urgency=low

  * Initialize entropy pool with HW RNG. Fixes: NB#121051.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 24 Jun 2009 19:32:01 +0300

mini-rc (0.2.53) unstable; urgency=low

  * Mount /home partition with writeback journalling mode. Fixes: NB#121950.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Tue, 23 Jun 2009 16:31:18 +0300

mini-rc (0.2.52) unstable; urgency=low

  * Set dirty eviction time to 5 seconds. Fixes: NB#122313.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Mon, 22 Jun 2009 10:41:56 +0300

mini-rc (0.2.51) unstable; urgency=low

  * Change file descriptor limit to 8k. Fixes: NB#120131.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Mon, 15 Jun 2009 11:21:06 +0300

mini-rc (0.2.51~ash0) unstable; urgency=low

  * Enable swap.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 03 Jun 2009 13:57:20 +0300

mini-rc (0.2.50) unstable; urgency=low

  * Call apt-worker to finalize SSU.
  * Update dirty writeback params. Fixes: NB#119394.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Thu, 28 May 2009 14:38:08 +0300

mini-rc (0.2.49) unstable; urgency=low

  * Do not start udev in update mode
  * Remove dependencies of closed components

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 06 May 2009 17:28:02 +0300

mini-rc (0.2.48) unstable; urgency=low

  * Disabled swap as a workaround for Xorg. Fixes: NB#111807.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Fri, 17 Apr 2009 17:40:20 +0300

mini-rc (0.2.47) unstable; urgency=low

  * Use tmpfs_size parameter from udev.conf
  * Start softupd after udev. Fixes: NB#110274
  * Split udev start

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 08 Apr 2009 14:04:42 +0300

mini-rc (0.2.46) unstable; urgency=low

  * Add dependencies to console-tools and ifupdown.
  * Mount /var/run on a separate tmpfs. Fixes: NB#107760.
  * Create static device nodes before starting udevd. Fixes: NB#108157.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Tue, 31 Mar 2009 15:18:49 +0300

mini-rc (0.2.45) unstable; urgency=low

  * Revert --nofork option from udevd due to regression.
  * Add dspbridge to the list of modules per request from Hiroshi.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Fri, 27 Mar 2009 09:52:20 +0200

mini-rc (0.2.44) unstable; urgency=low

  * Start udevd with --nofork. Fixes: NB#105032.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Tue, 24 Mar 2009 12:14:51 +0200

mini-rc (0.2.43) unstable; urgency=low

  * Start eMMC updater early (patch from Yauheni Kaliuta).

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Thu, 19 Mar 2009 15:01:57 +0200

mini-rc (0.2.42) unstable; urgency=low

  * Update /etc/issue upon first boot.
  * Drop sourcing ptmalloc.conf as it was removed previously. Fixes: NB#104771.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 18 Mar 2009 11:59:18 +0200

mini-rc (0.2.41) unstable; urgency=low

  * Add lowmem tweaks to rcS. Fixes: NB#103957.
  * Unexport pool partition. Fixes: NB#103959.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Tue, 03 Mar 2009 14:37:22 +0200

mini-rc (0.2.40) unstable; urgency=low

  * Added omap_previewer_hack to rcS list. Fixes: NB#95872

 -- Turo Janka <ext-turo.1.janka@nokia.com>  Fri, 06 Feb 2009 10:41:23 +0200

mini-rc (0.2.39) unstable; urgency=low

  * Check flash mode with grep, not getbootstate

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 26 Jan 2009 11:22:57 +0200

mini-rc (0.2.38) unstable; urgency=low

  * Do not mount mmc in flash mode

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 15 Jan 2009 12:58:13 +0200

mini-rc (0.2.37) unstable; urgency=low

  * Mount mmc partitions if exist. Fixes: NB#87622.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 18 Dec 2008 14:38:35 +0200

mini-rc (0.2.36) unstable; urgency=low

  * memory recalibration for new lowmem interface and 256 MB RAM,
    fixes: NB#88754.



=== debian/control ===
Source: mini-rc
Section: devel
Priority: optional
Maintainer: Janne Karhunen <Janne.Karhunen@nokia.com>
Standards-Version: 3.8.0

Package: mini-rc
Architecture: all
Depends: console-tools, ifupdown
Provides: initscripts, boot-mechanism
Replaces: initscripts, boot-mechanism
Conflicts: initscripts, boot-mechanism, sysv-rc, file-rc, udev (<< 0.084)
Recommends: osso-product-info (>= 0.2.1)
Description: Boot mechanism for small systems

## mini-rc 0.2.66%2b0m5

=== debian/changelog ===
mini-rc (0.2.66+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Thu, 01 Oct 2009 09:03:26 +0300

mini-rc (0.2.66) unstable; urgency=low

  * Enable panic. Fixes: NB#140502 

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Wed, 30 Sep 2009 14:52:50 +0300

mini-rc (0.2.65) unstable; urgency=low

  * Enable panic on oops. Fixes: NB#140502

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Mon, 28 Sep 2009 14:35:12 +0300

mini-rc (0.2.64) unstable; urgency=low

  * mtab needs to be a regular file. Fixes: NB#140158

 -- Janne Karhunen <Janne.Karhunen@nokia.com>  Wed, 23 Sep 2009 13:18:39 +0300

## mini-rc 0.2.67%2b0m5

=== debian/changelog ===
mini-rc (0.2.67+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Tue, 22 Dec 2009 15:03:26 +0200

mini-rc (0.2.67) unstable; urgency=low

  * Fixes: NB#148907: Remove release information from /ect/hostname
  * Fixes: NB#144423: Maximum number of pseudo terminals too low 

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Mon, 21 Dec 2009 11:46:25 +0300

## mini-rc 0.2.69+0m5

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,12 @@
 	install -m 755 update-rc.d $(DESTDIR)/usr/sbin
 	install -m 755 invoke-rc.d $(DESTDIR)/usr/sbin
 	install -m 755 policy-rc.d $(DESTDIR)/usr/sbin
+	install -m 755 runlevel $(DESTDIR)/sbin
+	install -m 755 do_shutdown $(DESTDIR)/usr/sbin
+	install -m 755 umountfs $(DESTDIR)/usr/sbin
 
 install-dirs:
-	install -d -m 755 $(DESTDIR)/etc $(DESTDIR)/usr/sbin
+	install -d -m 755 $(DESTDIR)/etc $(DESTDIR)/usr/sbin $(DESTDIR)/sbin
 	install -d -m 755 $(DESTDIR)/etc/rc{0,1,2,3,4,5,6,S}.d  $(DESTDIR)/etc/init.d
 
 clean:

=== debian/changelog ===
mini-rc (0.2.69+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.2.69+0m5

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Fri, 23 Jul 2010 08:09:05 +0300

mini-rc (0.2.69) unstable; urgency=low

  * Unix datagram queue length limits application operation. Fixes: NB#178205.

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Tue, 20 Jul 2010 12:42:54 +0400

mini-rc (0.2.68) unstable; urgency=low

  * core dumping during device shutdown causes extra harm. Fixes: NB#162413.

 -- Sergey Yakubenko <EXT-Sergey.Yakubenko@nokia.com>  Tue, 25 May 2010 16:25:17 +0400

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,7 @@
 	rm -f build
 	rm -rf *~ $(DEBIAN_DIR)/tmp debian/*~ $(DEBIAN_DIR)/files* $(DEBIAN_DIR)/substvars
 
-binary-arch:	checkroot build
-	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
+binary-arch:
 
 binary-indep:	checkroot build
 	$(checkdir)
